> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rashalb.md).

# Remove-RASHALB.md

## NAME

Remove-RASHALB

## SYNOPSIS

Removes a specific HALB Virtual Server and un-initializes any devices used by it.

## SYNTAX

**Remove-RASHALB** \[\[-[Id](#id-string)] *(uint)*] \[[NoUnInstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASHALB** \[-[InputObject](#inputobject)] *(*[*HALBSettings*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbsettings.md)*)* \[[NoUnInstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASHALB** \[\[-[Name](#name-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[[NoUnInstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes a specific HALB Virtual Server and un-initializes any devices used by it.

## PARAMETERS

## Id (uint)

The HALB Virtual Server ID.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

The HALB Virtual Server name.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The site ID from where to retrieve the HALB Virtual Server.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NoUnInstall (SwitchParameter)

If the switch is set, HALB Devices will not be un-initialized.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([HALBSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbsettings.md))

An object of type HALBSettings.

The object is obtained using the Get-RASHALB cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[HALBSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbsettings.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASHALB -Id 1

Remove the HALB Virtual Server by Id and un-initialize devices used by it.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASHALB -Name "HALB-VS" -SiteId 1

Remove the HALB Virtual Server by name from Site with id 1 and un-initialize devices used by it.

## RELATED LINKS

* [Set-RASHALB](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rashalb.md)
* [Get-RASHALB](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rashalb.md)
* [New-RASHALB](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rashalb.md)
* [Get-RASHALBStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rashalbstatus.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rashalb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
